claw::meta::type_list_maker< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 > Struct Template Reference

A type list with up to six types, more readable than an imbricated type_list, more readable than type_list_maker_1 and others. More...

`#include <type_list.hpp>`

## Public Types

typedef split_type_list_at< no_type, typenametype_list_maker_15< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::result >::left_part_type | result
| The list described by this implementation.

## Detailed Description

template<typename T1, typename T2 = no_type, typename T3 = no_type, typename T4 = no_type, typename T5 = no_type, typename T6 = no_type, typename T7 = no_type, typename T8 = no_type, typename T9 = no_type, typename T10 = no_type, typename T11 = no_type, typename T12 = no_type, typename T13 = no_type, typename T14 = no_type, typename T15 = no_type>
struct claw::meta::type_list_maker< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >

A type list with up to six types, more readable than an imbricated type_list, more readable than type_list_maker_1 and others.

Definition at line 353 of file type_list.hpp.

## Member Typedef Documentation

## result

template<typename T1, typename T2 = no_type, typename T3 = no_type, typename T4 = no_type, typename T5 = no_type, typename T6 = no_type, typename T7 = no_type, typename T8 = no_type, typename T9 = no_type, typename T10 = no_type, typename T11 = no_type, typename T12 = no_type, typename T13 = no_type, typename T14 = no_type, typename T15 = no_type>

typedef split_type_list_at<no_type,typenametype_list_maker_15<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15>::result>::left_part_type claw::meta::type_list_maker< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::result

The list described by this implementation.

Definition at line 361 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp